<script language="javascript">
<!--
var ref_text = {
<% '$(accepted.*)':'<%|replace("'", "\\'")|$$(accepted.@.text)%>' <%(@@# + 1 < $(accepted.#)),\n%>%>
};

function set_textfield(v) {
	if (ref_text[v] != undefined) {
		<%(!?delete_accepted)window.document.form.accepted_text.disabled = false;%>
		window.document.form.accepted_text.value = ref_text[v];
		window.document.form.accepted_id.value = v;
	} else {
		window.document.form.accepted_text.value = '';
		window.document.form.accepted_id.value = '';
		window.document.form.accepted_text.disabled = true;
	}
	
}

//-->
</script>


<br>
<%(!?edit_accepted)<a href="?m=adqueue&amp;a=accepted&amp;accepted_action=edit_accepted">%>Edit<%(!?edit_accepted)</a>%> 
&nbsp;|&nbsp;
<%(!?new_accepted)<a href="?m=adqueue&amp;a=accepted&amp;accepted_action=new_accepted">%>New<%(!?new_accepted)</a>%> 
&nbsp;|&nbsp;
<%(!?delete_accepted)<a href="?m=adqueue&amp;a=accepted&amp;accepted_action=delete_accepted">%>Delete<%(!?delete_accepted)</a>%> 
<br><br>
<form method="post" name="form">
	<fieldset style="width:770px;">
		<legend class="Review">
		<%(?edit_accepted)Accepted reasons - Edit%>
		<%(?new_accepted)Accepted reasons - New%>
		<%(?delete_accepted)Accepted reasons - Delete%>
		</legend>
		<br><br>

		<table cellpadding="4" cellspacing="0">
			<tr>
				<th valign="top" nowrap colspan="2"><%(!?err_error && !?ok_okey)&nbsp;%>
					<%(?err_error)<div class="error" style="display:block"><%%err_error%></div>%>
					<%(?ok_okey)<div class="okey" style="display:block"><%%ok_okey%></div>%>
				</th>
			</tr>
			<tr>
				<th align="right" valign="top" nowrap>Accepted reason: </th>
				<td valign="top">
					<%(?new_accepted)<input name="accepted_new_subject" size="25" maxlength="50" type="text">%>
					<%(!?new_accepted)<select name="accepted_subject" onchange="set_textfield(this.value)">
						<option <%(!?accepted || %accepted == "")selected='selected'%> value="">Select accepted reason</option>
					<%
						<option value="$(accepted_order.@)">$(accepted.$(accepted_order.@).name)</option>
					%> 
				       </select>%>
				</td>
			</tr>
			<tr>
				<th align="right" valign="top" nowrap>Accepted id: </th>
				<td><input name="accepted_id" size="25" maxlength="50" <%(!?new_accepted)disabled="disabled"%>  type="text">
					<%(?new_accepted)(only a-z, 0-9 and _)%>
				</td>
			</tr>
			<tr>
			<%(?new_accepted)
				<th align="right" valign="top" nowrap>Add after: </th>
				<td valign="top">
					<select name="accepted_subject" >
						<option <%(!?accepted || %accepted == "")selected='selected'%> value="">Select accepted reason</option>
					<%
						<option value="$(accepted_order.@)">$(accepted.$(accepted_order.@).name)</option>
					%> 
				       </select>
				</td>
				::<th align="right" valign="top">&nbsp;</th><td valign="top">&nbsp;</td>
			%>
			</tr>
			<tr>
                                <th align="right" valign="top">&nbsp;</th>
                                <td valign="top">&nbsp;</td>
                        </tr>
			<tr>
				<th align="right" valign="top" nowrap>Text: </th>
				<td valign="top">
					<textarea name="accepted_text" cols="70" rows="15"<%((?delete_accepted || !?accepted || %accepted == "")&& (!?new_accepted))disabled="disabled"%>></textarea>
				</td>
			<tr>
                                <th align="right" valign="top">&nbsp;</th>
                                <td valign="top">&nbsp;</td>
                        </tr>
			<tr>
				<th>&nbsp;</th>
				<%(?edit_accepted)<td><input type="submit" name="accepted_submit" value="Save"></td>%>
				<%(?new_accepted)<td><input type="submit" name="accepted_submit" value="Add"></td>%>
				<%(?delete_accepted)<td><input type="submit" name="accepted_submit" value="Delete"></td>%>
			</tr>
			<tr><td>&nbsp;</td></tr>
			</tr>
		</table>
	</fieldset>
</form>
